package ORG.omg.CORBA;


import ORG.omg.CORBA.*;
import EDU.rutgers.CORBA.IOP.IOR;
import EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference;
import EDU.rutgers.act.presentation.TypeWriter;
import EDU.rutgers.act.presentation.TypeReader;

public class InitialReferencesStub
  extends EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference
  implements InitialReferences
{
  public InitialReferencesStub(IOR ior)
    {
      super(ior);
    }

  public boolean _is_a(
          String logicalTypeId
  )
    {
      TypeWriter out = getTypeWriter("_is_a");
      boolean result = false;
      IOR ior;
      try {
        out.writeString(logicalTypeId);
        TypeReader in = getTypeReader();
        result = in.readBoolean();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public String get(
          String id
  )
    {
      TypeWriter out = getTypeWriter("get");
      String result = null;
      IOR ior;
      try {
        out.writeString(id);
        TypeReader in = getTypeReader();
        result = in.readString();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public String[] list(
  )
    {
      TypeWriter out = getTypeWriter("list");
      String[] result = null;
      IOR ior;
      try {
        TypeReader in = getTypeReader();
        result = new String[in.readULong()];
        for(int ObjectIdListInd = 0; ObjectIdListInd < result.length; ObjectIdListInd++)
          {
            result[ObjectIdListInd] = in.readString();
          }
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

}